// 仕様：カソードコモン
int ANODEPIN[10] = { 11, 10, 9, 8, 7, 6, 5, 4, 3, 2 };
int CATHODEPIN[3] = { 14, 16, 15 };	// R, G, B

void setup()
{
	// アノードを、LOWで初期化
	for( int ano = 0; ano < 10; ano++ )
	{
		pinMode( ANODEPIN[ano], OUTPUT );
		digitalWrite( ANODEPIN[ano], LOW );
	}

	// カソードを、HIGHで初期化
	for( int cat = 0; cat < 3; cat++ )
	{
		pinMode( CATHODEPIN[cat], OUTPUT );
		digitalWrite( CATHODEPIN[cat], HIGH );
	}
}

void loop()
{
	// カソードのループ
	for( int cat = 0; cat < 3; cat++ )
	{
		digitalWrite( CATHODEPIN[cat], LOW );	// LOWに変更
		// アノードのループ
		for( int ano = 0; ano < 10; ano++ )
		{
			digitalWrite( ANODEPIN[ano], HIGH );	// HIGHに変更
			delay(100);	//点灯時間
			digitalWrite( ANODEPIN[ano], LOW );	// LOWに戻す
		}
		digitalWrite( CATHODEPIN[cat], HIGH );	// HIGHに戻す
	}
}

